RPGWatch Forums
Page 1 of 2 1 2

RPGWatch Forums (https://www.rpgwatch.com/forums/index.php)
-   Gothic 3 (https://www.rpgwatch.com/forums/forumdisplay.php?f=16)
-   -   Brand New to the Gothic Series (https://www.rpgwatch.com/forums/showthread.php?t=8638)

NecroZombie October 16th, 2009 00:28

Brand New to the Gothic Series
 
Hi all. I'm dl'ing Gothic 3 for D2D as we speak.

I understand that there are many issues with the unpatched game so I'm just going to ask…. Where do I start?

Is there an order of patches I need to follow?

Any help would be greatly appreciated

Gorath October 16th, 2009 00:39

Welcome to our forum!

While you wait for the others to confirm whether or not the latest community patch includes the official patches, you should download CP 1.73 (or is it 1.74 already?). It improves more than a 1000 smaller and bigger things compared to G3 v1.12.

Make sure to read the manual coming with the CP 1.73. You have to decide a few things, and not everything can be reversed without starting a new game.

Gothic 3 is a rather untypical Gothic game. It's big and full of relatively unimportant side quests. The other games are deeper and take place in much smaller worlds.

NecroZombie October 16th, 2009 00:44

Thanks for the prompt reply!

I'm coming from Oblivion so the unimportant side quests are no stranger ;)

And starting a new game is not an issue either - since I haven't even finished dl'ing the game.lol.

I just want to make sure I get what I need to have a good time playing right off the bat.

Also, I'm using Vista 64 - is there an issue with that?

Alistair October 16th, 2009 00:48

Er. It seems ok on Vista 32…

NecroZombie October 16th, 2009 03:37

Is the community patch 1.73 all I need?

Alistair October 16th, 2009 04:47

Yes. Unless you have a recent ATI card, in which case there is one more file (shadow bug).

NecroZombie October 16th, 2009 04:53

I do have an ATI card, but even worse is that I have dl'd the 1.73 patch… but something is wrong. It doesn't recognize that exe file for some reason.

I can't run the patch.

Any suggestions?

Kostas October 16th, 2009 07:33

Quote:

Originally Posted by NecroZombie (Post 1060977501)
Any suggestions?

Download it again.

Gorath October 16th, 2009 09:39

Post it in the official forum for the CP. Maybe the D2D exe is different.

NecroZombie October 16th, 2009 19:10

Quote:

Originally Posted by Kostaz (Post 1060977514)
Download it again.

Done. Of course I'll have to wait until I get home to see if it worked. It took ALL NIGHT and this morning to dl it….. wow. At times I was down to under 5kb/sec

Hopefully it'll work this time around.

NecroZombie October 16th, 2009 23:46

*sigh*

Didn't work. Oh well another $30 bucks down the drain. And it looked like a promising game too.

Gorath October 17th, 2009 01:32

As I wrote, post in the developer forum for the CP. It's more than likely they didn't have access to the D2D version. Maybe they are willing to add a check for this specific exe. This can't be more than 1 or 2 lines of code.

GothicGothicness October 20th, 2009 11:10

Ussually D2D versions are very hard to patch, a big reason to not buy games from there……. I like their prices though :D

NecroZombie October 20th, 2009 17:41

Quote:

Originally Posted by GothicGothicness (Post 1060978284)
Ussually D2D versions are very hard to patch, a big reason to not buy games from there……. I like their prices though :D

Yeah… i'm seeing that now

Gorath October 20th, 2009 18:54

Another idea:

Extract the exe from one of the official patches and put it into the G3 directory. It's possible the CP installs then.

NecroZombie October 20th, 2009 19:17

Quote:

Originally Posted by Gorath (Post 1060978378)
Another idea:

Extract the exe from one of the official patches and put it into the G3 directory. It's possible the CP installs then.

I'll give that a go this evening. I also posted on the official forum like you suggested. Hopefully someone will recognize what the issue is.

BTW - Does everybody hit severe slowdown when downloading this patch, or is that just me too?

Thank you all very much for being responsive.

NecroZombie October 21st, 2009 01:10

Is there a problem with WinRar?

I can't even extract it from WinRar.

NecroZombie October 21st, 2009 03:45

Weird.. I was able to DL the 1.72 and get it working just fine.

Maybe it was the source of the DL

Gorath October 21st, 2009 05:03

So the game runs now?

1.73 added some nice stuff. Check if there's a small update patch.

Moriendor October 21st, 2009 05:23

Quote:

Originally Posted by NecroZombie (Post 1060978466)
Maybe it was the source of the DL

Could be but if you keep having issues with extracting large archives in general then you should check your RAM or have it checked at a repair center.


All times are GMT +2. The time now is 12:56.
Page 1 of 2 1 2

Powered by vBulletin® Version 3.8.10
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
User Alert System provided by Advanced User Tagging (Lite) - vBulletin Mods & Addons Copyright © 2017 DragonByte Technologies Ltd.
Copyright by RPGWatch